package com.szpg.plc.message;

import java.io.Serializable;
import java.util.Calendar;

public abstract class AppMessage implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8204327475511429895L;

	private Calendar time;
	private String messageProducerId;  //源地址
	private boolean isValid = true;

	public AppMessage() {

	}

	public AppMessage(Calendar time, String messageProducerId) {
		this.time = time;
		this.messageProducerId = messageProducerId;
	}

	public String getMessageProducerId() {
		return messageProducerId;
	}

	public void setMessageProducerId(String messageProducerId) {
		this.messageProducerId = messageProducerId;
	}

	public Calendar getTime() {
		return time;
	}

	public void setTime(Calendar time) {
		this.time = time;
	}

	public boolean isValid() {
		return isValid;
	}

	public void setValid(boolean isValid) {
		this.isValid = isValid;
	}

	public void afterAction() {

	}

}
